Module jdk.jshell
Package jdk.jshell

## Class ErroneousSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.ErroneousSnippet

    public class ErroneousSnippet
    extends Snippet

A snippet of code that is not valid Java programming language code, and for which the kind of snippet could not be determined. The Kind is `ERRONEOUS`.

`ErroneousSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

### Nested Class Summary

### Nested classes/interfaces inherited from class jdk.jshell.Snippet

`Snippet.Kind, Snippet.Status, Snippet.SubKind`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class jdk.jshell.Snippet

`id, kind, source, subKind, toString`